Subject: Re: bug bite problems

From: [email-masked] (Conrad Richter)
Date: Sun, 30 Oct 94 09:57:48 EST

[email-masked] (Suze Hammond) writes:

> I've read that in Europe, the Germans (who love to camp and hike) eat lots
> and lots of common parsley before the outdoor season. It makes them smell
> bad to bugs, so they say. I've also read that the Romans used it during
> and after banquets, to do away with breath and body odors.

A recent report suggests that alcoholic yarrow (Achillea millefolium) 
extracts are very effective mosquito repellents, about equal to 20% DEET. 
Apparently, the use of yarrow comes from an old Lapland tradition. 

Conrad Richter

RICHTERS HERBS                     | Info:                 [email-masked]
Goodwood, ON  L0C 1A0, Canada      | Catalog Requests:  [email-masked]
Tel +1-905-640-6677  Fax 640-6641  | Conrad Richter:     [email-masked]